AMDGPIO(4) | Device Drivers Manual | AMDGPIO(4)

# NAME

`amdgpio` — AMD GPIO Controller

# SYNOPSIS

`amdgpio* at acpi?`
`gpio* at gpiobus?`

# DESCRIPTION

`amdgpio` provides a gpio(4) interface for the following AMD chipsets:

- AMD Ryzen 7 5800U with Radeon Graphics
- AMD Ryzen 7 8840HS with Radeon 780M Graphics

The driver supports pin configuration flags

- `GPIO_PIN_INPUT`
- `GPIO_PIN_OUTPUT`
- `GPIO_PIN_INOUT`
- `GPIO_PIN_ININ`
- `GPIO_PIN_PULLUP`
- `GPIO_PIN_PULLDOWN`

and interrupt capabilies

- `GPIO_INTR_POS_EDGE`
- `GPIO_INTR_NEG_EDGE`
- `GPIO_INTR_DOUBLE_EDGE`
- `GPIO_INTR_HIGH_LEVEL`
- `GPIO_INTR_LOW_LEVEL`

# SEE ALSO

gpio(4)

# HISTORY

The `amdgpio` driver first appeared in NetBSD 11.0.

# AUTHORS

The `amdgpio` driver is derived from qcomgpio(4) and OpenBSD's amdgpio(4). Man page was written by Ryo ONODERA <ryoon@NetBSD.org>.

February 3, 2025 | NetBSD 10.99